Create Lease: Buildium

Create Lease: Buildium | Interface | Method | |---|---| | Leases | POST /leases |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
typeenumRequired
The type associated with the lease
Allowed values:
unit_idstringRequired
The Propexo unique identifier for the unit
start_datestringRequiredformat: "date-time"
The start date associated with the lease
first_namestringRequired
The first name associated with the resident
last_namestringRequired
The last name associated with the resident
address_1stringRequired<=100 characters
The first address line associated with the resident
citystringRequired<=100 characters
The city associated with the resident
statestringRequired
The state associated with the resident
zipstringRequired
The zip code associated with the resident
countryenumRequired
The country associated with the resident
Allowed values:
financial_account_idstringOptional
The Propexo unique identifier for the financial account
end_datestringOptionalformat: "date-time"
The end date associated with the lease
send_welcome_emailbooleanOptionalDefaults to false
Whether to send a welcome email to the tenant
email_1stringOptionalformat: "email"
The primary email address associated with the resident
email_2stringOptionalformat: "email"
The secondary email address associated with the resident
phone_1stringOptional
Primary phone number associated with the resident
phone_1_typeenumOptional
Type of the primary phone number
Allowed values:
phone_2stringOptional
Secondary phone number associated with the resident
phone_2_typeenumOptional
Type of the secondary phone number
Allowed values:
date_of_birthstringOptional
The date of birth associated with the resident
address_2stringOptional<=100 characters
The second address line associated with the resident
address_1_alternatestringOptional<=100 characters
The first alternate address line associated with the resident
address_2_alternatestringOptional<=100 characters
The second alternate address line associated with the resident
city_alternatestringOptional<=100 characters
The alternate city associated with the resident
state_alternatestringOptional
The alternate state associated with the resident
zip_alternatestringOptional
The alternate zip code associated with the resident
country_alternateenumOptional
The alternate country associated with the resident
Allowed values:
rent_cycleenumOptional
The duration in which rent charges will be automatically appended to the lease ledger
rent_amount_in_centsintegerOptional
The rent amount in cents for the lease
rent_due_datestringOptional
The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used

Response

Successful response
metaobject
resultobject

Errors